GNU bug report logs - #45922
27.1; Better auto-fill for strings in python-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Акимжанчег <zelenaruta@HIDDEN>; Keywords: moreinfo wontfix; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 45922 <at> debbugs.gnu.org and Акимжанчег <zelenaruta@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45922 <at> debbugs.gnu.org:


Received: (at 45922) by debbugs.gnu.org; 7 May 2022 16:57:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:57:04 2022
Received: from localhost ([127.0.0.1]:52886 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnNjr-0001M1-Qt
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:57:04 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nnNjp-0001LR-Vk
 for 45922 <at> debbugs.gnu.org; Sat, 07 May 2022 12:57:02 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oIeRnTm5VnYMmGNm9SXJOhuyElfDq3UrghkW4yVFq3Q=; b=t1XlECcyE1CWXUOcH8F0TeYy7Z
 d5ZN/hEUlK4ialv4vL+0FMpoISPMy2NUfTtphkIDFp8VLpnfulvYmvrcv+GDa2TqnyG8nskY4n2wZ
 J/Xozt+p8Vg0PGLyt5mLuu1S6S7D08TyWRDyodp/1anwiURnbmysiG3km11c+nznVEjM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nnNjf-0005O0-Ms; Sat, 07 May 2022 18:56:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#45922: 27.1; Better auto-fill for strings in python-mode
References: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
 <87tua1mjd9.fsf@HIDDEN> <jwvczgp2tur.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEVnWVqRgGq7sdRJ
 QC7////V8fV2AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YFBxAuHFreE+UAAAGdSURBVDjLfZKJtesw
 CETBNABKA5Z+A/jQf29/QLISv43kOI6uhp2IycyUWNmsjbKuZpTGzZTrswApF6CUECktMOhpgLYU
 to4YMeZbW0DnVVZZ4EiAiCmJ9EEV3iYYM2YwfmTocV5KYwGcCwEwjX8Hia4YnHk4I7bRUHIhSVfd
 CsAx21AAfUXFOCuRBGgFEI1TpFW2RI6MTAE6gneK4Ibqz5kqepgR4cqT1Lng60g/HVCjZjhpANcL
 GtfZCNMD/RbHs9J1RsJzCHiI5yUjDdStVK76WaUdJUbwgKjNyRWuh0aQhLj18bQCJJfa47gXqDHx
 A2TPBbVTJf9pktfDkYDXDDZ9UQiaAPPZuXut4CMmuLIonuAYTTHRCbj1e0eMBxobW9GbTqA5mXgD
 zdU6MTCz3uUG944Sj1xte23ggSFZcQDaIOgSn8uNxqHoDSTbHFik3DLJzk7gIjGVGpw3dCvWeXrL
 S7cC/cp3x2aISf77ALfEb3U8ze/ivoJ98A3Ez8B/ASS/Kd66N6itiL8VG3juVrWXvgL7NN1F2jej
 +A8ZuH04Hm+lQwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wNS0wN1QxNjo0NjoyOCswMDowMBBY
 rskAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDUtMDdUMTY6NDY6MjgrMDA6MDBhBRZ1AAAAAElF
 TkSuQmCC
X-Now-Playing: 50 Foot Wave's _Black Pearl_: "Double Barrel"
Date: Sat, 07 May 2022 18:56:51 +0200
In-Reply-To: <jwvczgp2tur.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sat, 07 May 2022 12:25:21 -0400")
Message-ID: <87h761l1rg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >> The
 Python
 auto fill basically just calls `do-auto-fill', so I wondered >> whether there
 was something simple to tell that function to not consider >> any points
 where ppss-string-terminator is non [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45922
Cc: =?utf-8?B?0JDQutC40LzQttCw0L3Rh9C10LM=?= <zelenaruta@HIDDEN>,
 45922 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

>> The Python auto fill basically just calls `do-auto-fill', so I wondered
>> whether there was something simple to tell that function to not consider
>> any points where ppss-string-terminator is non-nil as a break point, but
>> apparently not?
>
> `fill-nobreak-predicate`?

Ah, yes, perfect.  With this, it works like the original bug reporter
wanted:

              (setq-local fill-nobreak-predicate
              (lambda ()
                (ppss-string-terminator (syntax-ppss))))

But this reminds me that auto-fill-mode in programming modes is a bad
idea in general: Even if it doesn't chop anything inside the string,
it'll still lead to invalid code.

So I think the answer to this bug report is really -- don't use
auto-fill in python-mode, and I'm closing it as a wontfix.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45922; Package emacs. Full text available.

Message received at 45922 <at> debbugs.gnu.org:


Received: (at 45922) by debbugs.gnu.org; 7 May 2022 16:25:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 12:25:31 2022
Received: from localhost ([127.0.0.1]:52847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnNFL-0006l8-LB
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 12:25:31 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:44307)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1nnNFJ-0006kv-LZ
 for 45922 <at> debbugs.gnu.org; Sat, 07 May 2022 12:25:30 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id EB6F080699;
 Sat,  7 May 2022 12:25:23 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 7D2AE800AE;
 Sat,  7 May 2022 12:25:22 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1651940722;
 bh=ubctxG/48bOQ4iB990aZ7DOOjL2awjFQbEzqtRCel5o=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=c6mMBzn7wAepArOIRnEeifyrEK4yXcpdw9uGXizPl0iVpGvhFsl9+//xRn+WV2Xpv
 MwHGt4vb8O3eTZoVK0tsjwiYwfNcSixdLIMSwkNzw640eM1q3yOJZ5ILBQH+16MAoG
 TGiW5nKkNd1uEjaniVWkcFbxhNW+gOblCYuxc0KwkN4efuv61xXmfjlwOkCR/jkg2b
 mcChVtrl8Zaa+31ygfxQRUSz57RNfNyYuUxGdyI0SmsPKQvD+eUh40iAL6hD5js08w
 I7a6jz+HXU0rWC2brnHw7bKwa9CTV2x5v4AxQhA6Na4tNPsQHBVo8jZjqq1AGfuAHg
 4OVzDntcSgIBw==
Received: from pastel (unknown [45.72.221.51])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 3C319120960;
 Sat,  7 May 2022 12:25:22 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#45922: 27.1; Better auto-fill for strings in python-mode
Message-ID: <jwvczgp2tur.fsf-monnier+emacs@HIDDEN>
References: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
 <87tua1mjd9.fsf@HIDDEN>
Date: Sat, 07 May 2022 12:25:21 -0400
In-Reply-To: <87tua1mjd9.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 07 May 2022 17:51:14 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.057 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45922
Cc: =?utf-8?B?0JDQutC40LzQttCw0L3Rh9C10LM=?= <zelenaruta@HIDDEN>,
 45922 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> The Python auto fill basically just calls `do-auto-fill', so I wondered
> whether there was something simple to tell that function to not consider
> any points where ppss-string-terminator is non-nil as a break point, but
> apparently not?

`fill-nobreak-predicate`?


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45922; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 45922 <at> debbugs.gnu.org:


Received: (at 45922) by debbugs.gnu.org; 7 May 2022 15:51:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 11:51:28 2022
Received: from localhost ([127.0.0.1]:52715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnMiN-0003aa-Or
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 11:51:27 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nnMiM-0003aL-8i
 for 45922 <at> debbugs.gnu.org; Sat, 07 May 2022 11:51:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=hHAurFl6dqHnWsgB0NIGo5jDcAYjJjLwEa0n10QsRh4=; b=TFQjr9aUbtCeDE/q3WhNpV+o7w
 nFE74O/LLtJqaKAxyx+yVFg4gLM26wZXWorlyIAZRrG6eHo76PO4zh7FakgYOl4D8q8K2I/+P0Ppt
 +OZo8EfXQRzO1gD60junsMfvtIUuYPd1iuQbMAect+htuaaA4knVk+T802rqb06ccsPk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nnMiB-0004jz-AX; Sat, 07 May 2022 17:51:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?0JDQutC40LzQttCw0L3Rh9C10LM=?= <zelenaruta@HIDDEN>
Subject: Re: bug#45922: 27.1; Better auto-fill for strings in python-mode
References: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
X-Now-Playing: Eberhard Weber's _Fluid Rustle_: "Quiet Departures"
Date: Sat, 07 May 2022 17:51:14 +0200
In-Reply-To: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
 (=?utf-8?B?ItCQ0LrQuNC80LbQsNC90YfQtdCzIidz?= message of "Sun, 17 Jan 2021
 03:49:16 +0600")
Message-ID: <87tua1mjd9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Акимжанчег <zelenaruta@HIDDEN> writes: > Today
    I was making a program in Python for myself. One of the functions > required
    me to pass a long string to it, so I did that. Auto-fill-mode > got triggered
    when I pressed the space bar and the [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45922
Cc: 45922 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=D0=90=D0=BA=D0=B8=D0=BC=D0=B6=D0=B0=D0=BD=D1=87=D0=B5=D0=B3 <zelenaruta@gm=
ail.com> writes:

> Today I was making a program in Python for myself. One of the functions
> required me to pass a long string to it, so I did that. Auto-fill-mode
> got triggered when I pressed the space bar and the string was split from
> this:
> ```
> matrix =3D self.getprop("Coordinate Transformation Matrix").split(", ")
> ```
> To this:
> ```
> matrix =3D self.getprop("Coordinate Transformation
>                                   Matrix").split(", ")
> ```
> After that, I saw `SyntaxError: EOL while scanning string literal'.

I can reproduce this in Emacs 29, too.

The Python auto fill basically just calls `do-auto-fill', so I wondered
whether there was something simple to tell that function to not consider
any points where ppss-string-terminator is non-nil as a break point, but
apparently not?  (It seems like such an obvious thing to have, so
perhaps there's a good reason we don't have that.)

I've added Stefan to the CCs; perhaps he has some comments.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45922; Package emacs. Full text available.

Message received at 45922 <at> debbugs.gnu.org:


Received: (at 45922) by debbugs.gnu.org; 17 Jan 2021 20:18:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 17 15:18:52 2021
Received: from localhost ([127.0.0.1]:45744 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l1EVg-00066h-1U
	for submit <at> debbugs.gnu.org; Sun, 17 Jan 2021 15:18:52 -0500
Received: from mout02.posteo.de ([185.67.36.66]:45031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1l1EVb-00066R-1x
 for 45922 <at> debbugs.gnu.org; Sun, 17 Jan 2021 15:18:50 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 5B1602400FC
 for <45922 <at> debbugs.gnu.org>; Sun, 17 Jan 2021 21:18:41 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1610914721; bh=CJkPiSVe2OBx98iLP/a5NCOpUUUxuzmkVVVkOIIhw+0=;
 h=From:To:Cc:Subject:Date:From;
 b=iZVpD/ejqfDwW1eBTh02J/bVD1jU5FCRX9V2u0tS4F5yxX4LYzGxlaaZ4hRby+urO
 iO0o+uA2ZdzFnOI2DAX40MFKUmJmkI74PYEbEVEzel1Z2JpAKSnpCLq3Tq/z3QlXgm
 PJSC1lPRpXBZuyFW32+Mt+iNYWVle5lGQFqxuD7rFZVrqGNtSQzLtV73isx0Zb5MXI
 rkF2MR4ID3yucM2/h7orQp9Uzul67WmMjWCljnB3N1/8aIpbvS8Od6VEBeMBnS0g+U
 gTDGKB2WnlOXZaKSMM9ODY1blwjB5DSDoekqZClAPMk/QFAjshiBATUIssGfYelJ9q
 eaB44nz2Izt0Q==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4DJmTD52s1z6tmG;
 Sun, 17 Jan 2021 21:18:40 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: =?utf-8?B?0JDQutC40LzQttCw0L3Rh9C10LM=?= <zelenaruta@HIDDEN>
Subject: Re: bug#45922: 27.1; Better auto-fill for strings in python-mode
In-Reply-To: <CAJBTzO=rE4n4iZdBNv2HE=zi+_O1r=bqwFdsCku1-3VZOgqOWg@HIDDEN>
References: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
 <87bldnzsep.fsf@HIDDEN>
 <CAJBTzO=rE4n4iZdBNv2HE=zi+_O1r=bqwFdsCku1-3VZOgqOWg@HIDDEN>
Date: Sun, 17 Jan 2021 21:18:40 +0100
Message-ID: <87r1mjb9lr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45922
Cc: 45922 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

=D0=90=D0=BA=D0=B8=D0=BC=D0=B6=D0=B0=D0=BD=D1=87=D0=B5=D0=B3 <zelenaruta@gm=
ail.com> writes:

>>
>>
>> From the recepie it would seem like fill-column is set to something low.
>> But probably you have some indentation there prior to 'matrix =3D ...'?
>>
> Yes there were 8 spaces before that
>
>> I don't think there is something in python mode that do what you are
>> suggesting as of now. For curiosity, do you see this kind of support in
>> other editors?
>>
> Emacs is the only editor I ever used, but when I write a comment and reach
> the fill-column auto-fill-mode opens a new line and puts the comment
> character there, so I thought if it does it for comments then it might as
> well do it for strings.

The one and true editor. I /think/ the filling of comments gets handled
by fill.el. Filling of one-line strings would have to be handled by
python.el. I was looking to see if it tries to support that but couldn't
find indications it does. Cannot find that it documents to support it.

I agree it could be convenient and understand the expectation based on
the comment filling. Might be difficult to implement tho.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45922; Package emacs. Full text available.

Message received at 45922 <at> debbugs.gnu.org:


Received: (at 45922) by debbugs.gnu.org; 17 Jan 2021 11:58:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 17 06:58:50 2021
Received: from localhost ([127.0.0.1]:44629 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l16hl-0004Yw-Uc
	for submit <at> debbugs.gnu.org; Sun, 17 Jan 2021 06:58:50 -0500
Received: from mout02.posteo.de ([185.67.36.66]:46369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tomasn@HIDDEN>) id 1l16hi-0004Yd-Vq
 for 45922 <at> debbugs.gnu.org; Sun, 17 Jan 2021 06:58:49 -0500
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 0A6F52400FC
 for <45922 <at> debbugs.gnu.org>; Sun, 17 Jan 2021 12:58:39 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1610884720; bh=tazGcx0pvrC2+Oz3eBy5xH0YY+bSX8iPbIWzclZxVhY=;
 h=From:To:Subject:Date:From;
 b=V8Akv6LKh87bmQyvJiFVGXF+61IjmhDU7gjNE8O1pOz+ZyHfX+2/ehK9XS6/9vyua
 lKqVB2OHaAfdyszEntPE63Rqz9aKAWpI92mOE7Q3bZ3Zm+zj3Qjc71SEydvUoT0rqj
 wxFfO7K4s+gKXa3j2XPyAsjVacqPukqJuvWq43mdBuKaQKJKRAsYK1ZrGV0fsLjXwI
 vZx/D81BYJzWmofdqzprxviW4wI/V5mEsZyEN7M2tykSFFI9qBM+HW7vCuI675Kr0g
 /57f0Bi7ubLleDu4vZboTQNmgIPfdvbCHb5TKFBlk2SrELV/xDAGKKTIY6YD9I0YF+
 +64fMQmE2wK5A==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4DJYNH10ktz6tmB;
 Sun, 17 Jan 2021 12:58:39 +0100 (CET)
From: Tomas Nordin <tomasn@HIDDEN>
To: =?utf-8?B?0JDQutC40LzQttCw0L3Rh9C10LM=?= <zelenaruta@HIDDEN>,
 45922 <at> debbugs.gnu.org
Subject: Re: bug#45922: 27.1; Better auto-fill for strings in python-mode
In-Reply-To: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
References: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
Date: Sun, 17 Jan 2021 12:58:38 +0100
Message-ID: <87bldnzsep.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 45922
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello =D0=90=D0=BA=D0=B8=D0=BC=D0=B6=D0=B0=D0=BD=D1=87=D0=B5=D0=B3

=D0=90=D0=BA=D0=B8=D0=BC=D0=B6=D0=B0=D0=BD=D1=87=D0=B5=D0=B3 <zelenaruta@gm=
ail.com> writes:

> Date: Sun, 17 Jan 2021 03:45:31 +0600
> Message-ID: <875z3wd090.fsf@HIDDEN>
> --text follows this line--
>
> Today I was making a program in Python for myself. One of the functions
> required me to pass a long string to it, so I did that. Auto-fill-mode
> got triggered when I pressed the space bar and the string was split from
> this:
> ```
> matrix =3D self.getprop("Coordinate Transformation Matrix").split(", ")
> ```
> To this:
> ```
> matrix =3D self.getprop("Coordinate Transformation
>                                   Matrix").split(", ")
> ```
> After that, I saw `SyntaxError: EOL while scanning string literal'.
> This can be fixed with two different methods:
> 1. Adding a `+' between the strings, so that it looks like
> ```
> matrix =3D self.getprop("Coordinate Transformation"
>                      +"Matrix").split(", ")
> ```
> 2. Dividing the string to 2 separate strings:
> ```
> matrix =3D self.getprop("Coordinate Transformation"
>                       "Matrix").split(", ")

From the recepie it would seem like fill-column is set to something low.
But probably you have some indentation there prior to 'matrix =3D ...'?

I don't think there is something in python mode that do what you are
suggesting as of now. For curiosity, do you see this kind of support in
other editors?

nit: the 2 suggestions would loose a space in the string




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#45922; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jan 2021 22:48:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 16 17:48:40 2021
Received: from localhost ([127.0.0.1]:44261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l0uN3-0002Nk-Fw
	for submit <at> debbugs.gnu.org; Sat, 16 Jan 2021 17:48:40 -0500
Received: from lists.gnu.org ([209.51.188.17]:35208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zelenaruta@HIDDEN>) id 1l0tU1-0000wI-U0
 for submit <at> debbugs.gnu.org; Sat, 16 Jan 2021 16:51:47 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:51380)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <zelenaruta@HIDDEN>)
 id 1l0tU0-0002T8-Oc
 for bug-gnu-emacs@HIDDEN; Sat, 16 Jan 2021 16:51:45 -0500
Received: from mail-io1-xd31.google.com ([2607:f8b0:4864:20::d31]:37768)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <zelenaruta@HIDDEN>)
 id 1l0tTv-0008Qb-RB
 for bug-gnu-emacs@HIDDEN; Sat, 16 Jan 2021 16:51:44 -0500
Received: by mail-io1-xd31.google.com with SMTP id d13so22160340ioy.4
 for <bug-gnu-emacs@HIDDEN>; Sat, 16 Jan 2021 13:51:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=dMiUx8mxP56Cv1WqyPBmaK9PDgirPMhsIfGsywcZg+Y=;
 b=DHvVLnwrFIiS6fblq8Sgr9tbxTMjhyhZjeSq0qSynG2u+gLJc4c1uPgmyxM6DDfR+5
 sXiUsO/aP4gRfeLZyEfKNXi4TGROxnkuD70r9Wq/G1Cetmvf1Tc0bd5rOXHclYnet3iF
 bmKIMonnadqGba+wNENqLP/uYTr9ImtuHQlzfMr1EPpJIROttXW8Ahq/oIAl2wIK5dXt
 +9ZNoDquZplhVrxJHCqIO2RyMvaN6llkLLxXXSYCyq45ZcWCGlhDsTyP+xD1A4K9uzhf
 qph9ABwdDxayDoGJCOwmD4fgypRznfxEVestkwIGoL78hNW12YkOBW2X040AOLTcnUZN
 U0gg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=dMiUx8mxP56Cv1WqyPBmaK9PDgirPMhsIfGsywcZg+Y=;
 b=bzulRcYeNL7/2ozK7GIVDAAbocl5EZ79eHk2w+Ov4djDQsQE4ACiXJBmD0bk4yE+CK
 XvWMJuveBGs7aia1+T56UtjHKZq2Q4zedI7cjwOHOg4ZKAapqtJ1qLjziGmW4SnRlXMo
 dwroJMGaUyYuv4+eO4SfjVLEfDEZrulUaksFv9kGcDhEqnoX0hQUK5N+CG6og5dGtz3x
 njI6CXd3tsCXGXF1eTkMF4ATY6RcrKAwxr3Qi1KG8iPwCJaouc445TPC8+t+Lqjpvrb6
 fjDNpwuXv6xIW+aOF3Jca+asOWnuaA9/EiicOGG5/6beGuaJIMq7uVXCW8GMowl5UQBs
 2wfA==
X-Gm-Message-State: AOAM531vfs1H5vU5nG5n48uv3Db58K77X0hr9pvyk/rmxeGOZn1tn1lD
 k07vbxPRYjRCGjdefmC8kzqTh/q+8oU9+9Ml5zBlvUWPI9XmeQ==
X-Google-Smtp-Source: ABdhPJy37jrNA77A5joaUq4mCPeRRphlbHe1+NVUUo/GwMJ5gapd8wPbIaHrQdd8nTJ9H27wl8WRIWRJJVNRSheLF4I=
X-Received: by 2002:a6b:ce12:: with SMTP id p18mr12688594iob.181.1610833894174; 
 Sat, 16 Jan 2021 13:51:34 -0800 (PST)
MIME-Version: 1.0
From: =?UTF-8?B?0JDQutC40LzQttCw0L3Rh9C10LM=?= <zelenaruta@HIDDEN>
Date: Sun, 17 Jan 2021 03:49:16 +0600
Message-ID: <CAJBTzOmTHje52-R5Q4J4=qy2mYNEgD+n1QdvyyQeMYEapQ2RwQ@HIDDEN>
Subject: 27.1; Better auto-fill for strings in python-mode
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000000df56705b90b7eb9"
Received-SPF: pass client-ip=2607:f8b0:4864:20::d31;
 envelope-from=zelenaruta@HIDDEN; helo=mail-io1-xd31.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 16 Jan 2021 17:48:36 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000000df56705b90b7eb9
Content-Type: text/plain; charset="UTF-8"

Date: Sun, 17 Jan 2021 03:45:31 +0600
Message-ID: <875z3wd090.fsf@HIDDEN>
--text follows this line--

Today I was making a program in Python for myself. One of the functions
required me to pass a long string to it, so I did that. Auto-fill-mode
got triggered when I pressed the space bar and the string was split from
this:
```
matrix = self.getprop("Coordinate Transformation Matrix").split(", ")
```
To this:
```
matrix = self.getprop("Coordinate Transformation
                                  Matrix").split(", ")
```
After that, I saw `SyntaxError: EOL while scanning string literal'.
This can be fixed with two different methods:
1. Adding a `+' between the strings, so that it looks like
```
matrix = self.getprop("Coordinate Transformation"
                     +"Matrix").split(", ")
```
2. Dividing the string to 2 separate strings:
```
matrix = self.getprop("Coordinate Transformation"
                      "Matrix").split(", ")


In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22,
cairo version 1.17.3)
 of 2020-08-29 built on juergen
Windowing system distributor 'The X.Org Foundation', version 11.0.12010000
System Description: Arch Linux

Recent messages:
invalid syntax [2 times]
Auto-saving...
EOL while scanning string literal
Auto-saving...
EOL while scanning string literal
Mark set
invalid syntax
Auto-saving...
End of buffer
delete-backward-char: Text is read-only [2 times]

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --with-x-toolkit=gtk3 --with-xft --with-wide-int
 --with-modules --with-cairo --with-harfbuzz 'CFLAGS=-march=x86-64
 -mtune=generic -O2 -pipe -fno-plt' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Python

Minor modes in effect:
  electric-pair-mode: t
  desktop-save-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  async-bytecomp-package-mode: t
  savehist-mode: t
  rainbow-delimiters-mode: t
  elpy-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  which-key-mode: t
  marginalia-mode: t
  flycheck-mode: t
  gcmh-mode: t
  global-company-mode: t
  company-mode: t
  TeX-PDF-mode: t
  ctrlf-mode: t
  ctrlf-local-mode: t
  highlight-indent-guides-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  dired-async-mode: t
  selectrum-prescient-mode: t
  prescient-persist-mode: t
  selectrum-mode: t
  reverse-im-mode: t
  global-page-break-lines-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  override-global-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  auto-fill-function: yas--auto-fill
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/veronika/.emacs.d/straight/build/org/org-feed hides
/usr/share/emacs/27.1/lisp/org/org-feed
/home/veronika/.emacs.d/straight/build/org/org-compat hides
/usr/share/emacs/27.1/lisp/org/org-compat
/home/veronika/.emacs.d/straight/build/org/ol-eshell hides
/usr/share/emacs/27.1/lisp/org/ol-eshell
/home/veronika/.emacs.d/straight/build/org/ob-shell hides
/usr/share/emacs/27.1/lisp/org/ob-shell
/home/veronika/.emacs.d/straight/build/org/ox-publish hides
/usr/share/emacs/27.1/lisp/org/ox-publish
/home/veronika/.emacs.d/straight/build/org/org-lint hides
/usr/share/emacs/27.1/lisp/org/org-lint
/home/veronika/.emacs.d/straight/build/org/ol-rmail hides
/usr/share/emacs/27.1/lisp/org/ol-rmail
/home/veronika/.emacs.d/straight/build/org/org-src hides
/usr/share/emacs/27.1/lisp/org/org-src
/home/veronika/.emacs.d/straight/build/org/org-keys hides
/usr/share/emacs/27.1/lisp/org/org-keys
/home/veronika/.emacs.d/straight/build/org/ob-groovy hides
/usr/share/emacs/27.1/lisp/org/ob-groovy
/home/veronika/.emacs.d/straight/build/org/org-id hides
/usr/share/emacs/27.1/lisp/org/org-id
/home/veronika/.emacs.d/straight/build/org/ob-dot hides
/usr/share/emacs/27.1/lisp/org/ob-dot
/home/veronika/.emacs.d/straight/build/org/ob-emacs-lisp hides
/usr/share/emacs/27.1/lisp/org/ob-emacs-lisp
/home/veronika/.emacs.d/straight/build/org/ob-vala hides
/usr/share/emacs/27.1/lisp/org/ob-vala
/home/veronika/.emacs.d/straight/build/org/ob-abc hides
/usr/share/emacs/27.1/lisp/org/ob-abc
/home/veronika/.emacs.d/straight/build/org/org-footnote hides
/usr/share/emacs/27.1/lisp/org/org-footnote
/home/veronika/.emacs.d/straight/build/org/ox-md hides
/usr/share/emacs/27.1/lisp/org/ox-md
/home/veronika/.emacs.d/straight/build/org/ob hides
/usr/share/emacs/27.1/lisp/org/ob
/home/veronika/.emacs.d/straight/build/org/ob-clojure hides
/usr/share/emacs/27.1/lisp/org/ob-clojure
/home/veronika/.emacs.d/straight/build/org/ob-ditaa hides
/usr/share/emacs/27.1/lisp/org/ob-ditaa
/home/veronika/.emacs.d/straight/build/org/ob-ref hides
/usr/share/emacs/27.1/lisp/org/ob-ref
/home/veronika/.emacs.d/straight/build/org/ox-texinfo hides
/usr/share/emacs/27.1/lisp/org/ox-texinfo
/home/veronika/.emacs.d/straight/build/org/ob-css hides
/usr/share/emacs/27.1/lisp/org/ob-css
/home/veronika/.emacs.d/straight/build/org/org-ctags hides
/usr/share/emacs/27.1/lisp/org/org-ctags
/home/veronika/.emacs.d/straight/build/org/org-mouse hides
/usr/share/emacs/27.1/lisp/org/org-mouse
/home/veronika/.emacs.d/straight/build/org/ob-io hides
/usr/share/emacs/27.1/lisp/org/ob-io
/home/veronika/.emacs.d/straight/build/org/ox-org hides
/usr/share/emacs/27.1/lisp/org/ox-org
/home/veronika/.emacs.d/straight/build/org/org-version hides
/usr/share/emacs/27.1/lisp/org/org-version
/home/veronika/.emacs.d/straight/build/org/org-capture hides
/usr/share/emacs/27.1/lisp/org/org-capture
/home/veronika/.emacs.d/straight/build/org/ob-lob hides
/usr/share/emacs/27.1/lisp/org/ob-lob
/home/veronika/.emacs.d/straight/build/org/ob-exp hides
/usr/share/emacs/27.1/lisp/org/ob-exp
/home/veronika/.emacs.d/straight/build/org/ob-js hides
/usr/share/emacs/27.1/lisp/org/ob-js
/home/veronika/.emacs.d/straight/build/org/org-duration hides
/usr/share/emacs/27.1/lisp/org/org-duration
/home/veronika/.emacs.d/straight/build/org/ob-eval hides
/usr/share/emacs/27.1/lisp/org/ob-eval
/home/veronika/.emacs.d/straight/build/org/org-attach-git hides
/usr/share/emacs/27.1/lisp/org/org-attach-git
/home/veronika/.emacs.d/straight/build/org/ob-lisp hides
/usr/share/emacs/27.1/lisp/org/ob-lisp
/home/veronika/.emacs.d/straight/build/org/ob-picolisp hides
/usr/share/emacs/27.1/lisp/org/ob-picolisp
/home/veronika/.emacs.d/straight/build/org/ol hides
/usr/share/emacs/27.1/lisp/org/ol
/home/veronika/.emacs.d/straight/build/org/org-indent hides
/usr/share/emacs/27.1/lisp/org/org-indent
/home/veronika/.emacs.d/straight/build/org/org-agenda hides
/usr/share/emacs/27.1/lisp/org/org-agenda
/home/veronika/.emacs.d/straight/build/org/ol-docview hides
/usr/share/emacs/27.1/lisp/org/ol-docview
/home/veronika/.emacs.d/straight/build/org/ob-stan hides
/usr/share/emacs/27.1/lisp/org/ob-stan
/home/veronika/.emacs.d/straight/build/org/ox-latex hides
/usr/share/emacs/27.1/lisp/org/ox-latex
/home/veronika/.emacs.d/straight/build/org/ob-R hides
/usr/share/emacs/27.1/lisp/org/ob-R
/home/veronika/.emacs.d/straight/build/org/ob-java hides
/usr/share/emacs/27.1/lisp/org/ob-java
/home/veronika/.emacs.d/straight/build/org/org-plot hides
/usr/share/emacs/27.1/lisp/org/org-plot
/home/veronika/.emacs.d/straight/build/org/ob-perl hides
/usr/share/emacs/27.1/lisp/org/ob-perl
/home/veronika/.emacs.d/straight/build/org/ol-eww hides
/usr/share/emacs/27.1/lisp/org/ol-eww
/home/veronika/.emacs.d/straight/build/org/ob-ocaml hides
/usr/share/emacs/27.1/lisp/org/ob-ocaml
/home/veronika/.emacs.d/straight/build/org/org-macro hides
/usr/share/emacs/27.1/lisp/org/org-macro
/home/veronika/.emacs.d/straight/build/org/org-install hides
/usr/share/emacs/27.1/lisp/org/org-install
/home/veronika/.emacs.d/straight/build/org/org-habit hides
/usr/share/emacs/27.1/lisp/org/org-habit
/home/veronika/.emacs.d/straight/build/org/ol-info hides
/usr/share/emacs/27.1/lisp/org/ol-info
/home/veronika/.emacs.d/straight/build/org/ob-asymptote hides
/usr/share/emacs/27.1/lisp/org/ob-asymptote
/home/veronika/.emacs.d/straight/build/org/ob-matlab hides
/usr/share/emacs/27.1/lisp/org/ob-matlab
/home/veronika/.emacs.d/straight/build/org/org-num hides
/usr/share/emacs/27.1/lisp/org/org-num
/home/veronika/.emacs.d/straight/build/org/org-attach hides
/usr/share/emacs/27.1/lisp/org/org-attach
/home/veronika/.emacs.d/straight/build/org/org-pcomplete hides
/usr/share/emacs/27.1/lisp/org/org-pcomplete
/home/veronika/.emacs.d/straight/build/org/ob-mscgen hides
/usr/share/emacs/27.1/lisp/org/ob-mscgen
/home/veronika/.emacs.d/straight/build/org/org-colview hides
/usr/share/emacs/27.1/lisp/org/org-colview
/home/veronika/.emacs.d/straight/build/org/ox-man hides
/usr/share/emacs/27.1/lisp/org/ox-man
/home/veronika/.emacs.d/straight/build/org/org-inlinetask hides
/usr/share/emacs/27.1/lisp/org/org-inlinetask
/home/veronika/.emacs.d/straight/build/org/org-tempo hides
/usr/share/emacs/27.1/lisp/org/org-tempo
/home/veronika/.emacs.d/straight/build/org/ob-sqlite hides
/usr/share/emacs/27.1/lisp/org/ob-sqlite
/home/veronika/.emacs.d/straight/build/org/ob-maxima hides
/usr/share/emacs/27.1/lisp/org/ob-maxima
/home/veronika/.emacs.d/straight/build/org/ob-plantuml hides
/usr/share/emacs/27.1/lisp/org/ob-plantuml
/home/veronika/.emacs.d/straight/build/org/ob-haskell hides
/usr/share/emacs/27.1/lisp/org/ob-haskell
/home/veronika/.emacs.d/straight/build/org/ol-bbdb hides
/usr/share/emacs/27.1/lisp/org/ol-bbdb
/home/veronika/.emacs.d/straight/build/org/ob-awk hides
/usr/share/emacs/27.1/lisp/org/ob-awk
/home/veronika/.emacs.d/straight/build/org/org-mobile hides
/usr/share/emacs/27.1/lisp/org/org-mobile
/home/veronika/.emacs.d/straight/build/org/org-protocol hides
/usr/share/emacs/27.1/lisp/org/org-protocol
/home/veronika/.emacs.d/straight/build/org/ob-table hides
/usr/share/emacs/27.1/lisp/org/ob-table
/home/veronika/.emacs.d/straight/build/org/org-archive hides
/usr/share/emacs/27.1/lisp/org/org-archive
/home/veronika/.emacs.d/straight/build/org/org-list hides
/usr/share/emacs/27.1/lisp/org/org-list
/home/veronika/.emacs.d/straight/build/org/ox hides
/usr/share/emacs/27.1/lisp/org/ox
/home/veronika/.emacs.d/straight/build/org/ox-icalendar hides
/usr/share/emacs/27.1/lisp/org/ox-icalendar
/home/veronika/.emacs.d/straight/build/org/ob-fortran hides
/usr/share/emacs/27.1/lisp/org/ob-fortran
/home/veronika/.emacs.d/straight/build/org/ob-makefile hides
/usr/share/emacs/27.1/lisp/org/ob-makefile
/home/veronika/.emacs.d/straight/build/org/org-element hides
/usr/share/emacs/27.1/lisp/org/org-element
/home/veronika/.emacs.d/straight/build/org/org-timer hides
/usr/share/emacs/27.1/lisp/org/org-timer
/home/veronika/.emacs.d/straight/build/org/ob-core hides
/usr/share/emacs/27.1/lisp/org/ob-core
/home/veronika/.emacs.d/straight/build/org/org-macs hides
/usr/share/emacs/27.1/lisp/org/org-macs
/home/veronika/.emacs.d/straight/build/org/ob-lua hides
/usr/share/emacs/27.1/lisp/org/ob-lua
/home/veronika/.emacs.d/straight/build/org/ob-processing hides
/usr/share/emacs/27.1/lisp/org/ob-processing
/home/veronika/.emacs.d/straight/build/org/ol-w3m hides
/usr/share/emacs/27.1/lisp/org/ol-w3m
/home/veronika/.emacs.d/straight/build/org/ob-ebnf hides
/usr/share/emacs/27.1/lisp/org/ob-ebnf
/home/veronika/.emacs.d/straight/build/org/ol-gnus hides
/usr/share/emacs/27.1/lisp/org/ol-gnus
/home/veronika/.emacs.d/straight/build/org/ob-latex hides
/usr/share/emacs/27.1/lisp/org/ob-latex
/home/veronika/.emacs.d/straight/build/org/ol-irc hides
/usr/share/emacs/27.1/lisp/org/ol-irc
/home/veronika/.emacs.d/straight/build/org/ob-coq hides
/usr/share/emacs/27.1/lisp/org/ob-coq
/home/veronika/.emacs.d/straight/build/org/ox-beamer hides
/usr/share/emacs/27.1/lisp/org/ox-beamer
/home/veronika/.emacs.d/straight/build/org/ox-odt hides
/usr/share/emacs/27.1/lisp/org/ox-odt
/home/veronika/.emacs.d/straight/build/org/ob-octave hides
/usr/share/emacs/27.1/lisp/org/ob-octave
/home/veronika/.emacs.d/straight/build/org/ob-comint hides
/usr/share/emacs/27.1/lisp/org/ob-comint
/home/veronika/.emacs.d/straight/build/org/ob-gnuplot hides
/usr/share/emacs/27.1/lisp/org/ob-gnuplot
/home/veronika/.emacs.d/straight/build/org/ob-J hides
/usr/share/emacs/27.1/lisp/org/ob-J
/home/veronika/.emacs.d/straight/build/org/ox-ascii hides
/usr/share/emacs/27.1/lisp/org/ox-ascii
/home/veronika/.emacs.d/straight/build/org/ob-screen hides
/usr/share/emacs/27.1/lisp/org/ob-screen
/home/veronika/.emacs.d/straight/build/org/ox-html hides
/usr/share/emacs/27.1/lisp/org/ox-html
/home/veronika/.emacs.d/straight/build/org/ol-mhe hides
/usr/share/emacs/27.1/lisp/org/ol-mhe
/home/veronika/.emacs.d/straight/build/org/ob-eshell hides
/usr/share/emacs/27.1/lisp/org/ob-eshell
/home/veronika/.emacs.d/straight/build/org/ob-sql hides
/usr/share/emacs/27.1/lisp/org/ob-sql
/home/veronika/.emacs.d/straight/build/org/org-clock hides
/usr/share/emacs/27.1/lisp/org/org-clock
/home/veronika/.emacs.d/straight/build/org/ob-forth hides
/usr/share/emacs/27.1/lisp/org/ob-forth
/home/veronika/.emacs.d/straight/build/org/ob-hledger hides
/usr/share/emacs/27.1/lisp/org/ob-hledger
/home/veronika/.emacs.d/straight/build/org/ob-C hides
/usr/share/emacs/27.1/lisp/org/ob-C
/home/veronika/.emacs.d/straight/build/org/ob-sed hides
/usr/share/emacs/27.1/lisp/org/ob-sed
/home/veronika/.emacs.d/straight/build/org/ob-scheme hides
/usr/share/emacs/27.1/lisp/org/ob-scheme
/home/veronika/.emacs.d/straight/build/org/org hides
/usr/share/emacs/27.1/lisp/org/org
/home/veronika/.emacs.d/straight/build/org/ol-bibtex hides
/usr/share/emacs/27.1/lisp/org/ol-bibtex
/home/veronika/.emacs.d/straight/build/org/ob-shen hides
/usr/share/emacs/27.1/lisp/org/ob-shen
/home/veronika/.emacs.d/straight/build/org/ob-calc hides
/usr/share/emacs/27.1/lisp/org/ob-calc
/home/veronika/.emacs.d/straight/build/org/org-faces hides
/usr/share/emacs/27.1/lisp/org/org-faces
/home/veronika/.emacs.d/straight/build/org/org-datetree hides
/usr/share/emacs/27.1/lisp/org/org-datetree
/home/veronika/.emacs.d/straight/build/org/ob-ruby hides
/usr/share/emacs/27.1/lisp/org/ob-ruby
/home/veronika/.emacs.d/straight/build/org/org-loaddefs hides
/usr/share/emacs/27.1/lisp/org/org-loaddefs
/home/veronika/.emacs.d/straight/build/org/org-crypt hides
/usr/share/emacs/27.1/lisp/org/org-crypt
/home/veronika/.emacs.d/straight/build/org/org-table hides
/usr/share/emacs/27.1/lisp/org/org-table
/home/veronika/.emacs.d/straight/build/org/org-goto hides
/usr/share/emacs/27.1/lisp/org/org-goto
/home/veronika/.emacs.d/straight/build/org/ob-lilypond hides
/usr/share/emacs/27.1/lisp/org/ob-lilypond
/home/veronika/.emacs.d/straight/build/org/ob-tangle hides
/usr/share/emacs/27.1/lisp/org/ob-tangle
/home/veronika/.emacs.d/straight/build/org/ob-sass hides
/usr/share/emacs/27.1/lisp/org/ob-sass
/home/veronika/.emacs.d/straight/build/org/ob-python hides
/usr/share/emacs/27.1/lisp/org/ob-python
/home/veronika/.emacs.d/straight/build/org/ob-org hides
/usr/share/emacs/27.1/lisp/org/ob-org
/home/veronika/.emacs.d/straight/build/org/ob-ledger hides
/usr/share/emacs/27.1/lisp/org/ob-ledger
/home/veronika/.emacs.d/straight/build/org/org-entities hides
/usr/share/emacs/27.1/lisp/org/org-entities
/home/veronika/.emacs.d/straight/build/eldoc/eldoc hides
/usr/share/emacs/27.1/lisp/emacs-lisp/eldoc
/home/veronika/.emacs.d/straight/build/faceup/faceup hides
/usr/share/emacs/27.1/lisp/emacs-lisp/faceup
/home/veronika/.emacs.d/straight/build/let-alist/let-alist hides
/usr/share/emacs/27.1/lisp/emacs-lisp/let-alist

Features:
(shadow sort mail-extr emacsbug message rmc rfc822 mml mml-sec epa epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils cl-print debug
backtrace cua-base viper viper-cmd viper-keym viper-ex viper-macs
viper-mous viper-init viper-util eieio-opt speedbar sb-image ezimage
dframe tabify two-column iso-transl char-fold mule-util autorevert
filenotify vc-git elec-pair desktop frameset paren delsel
display-line-numbers async-bytecomp savehist projectile ibuf-ext ibuffer
ibuffer-loaddefs projectile-autoloads avy avy-autoloads
rainbow-delimiters rainbow-delimiters-autoloads slime arc-mode
archive-mode hyperspec slime-autoloads macrostep-autoloads
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-cmake company-semantic company-template company-bbdb
highlight-indentation company-capf help-fns radix-tree elpy elpy-rpc
pyvenv eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg esh-module
esh-groups esh-util elpy-shell elpy-profile elpy-django s elpy-refactor
diff-mode python tramp-sh tramp tramp-loaddefs trampver
tramp-integration tramp-compat shell pcomplete parse-time iso8601
time-date ls-lisp format-spec files-x cus-edit cus-start cus-load
elpy-autoloads s-autoloads pyvenv-autoloads
highlight-indentation-autoloads which-key which-key-autoloads marginalia
marginalia-autoloads base16-google-light-theme base16-theme
base16-theme-autoloads consult-selectrum consult recentf tree-widget
wid-edit bookmark consult-selectrum-autoloads flycheck dash jka-compr
let-alist flycheck-autoloads let-alist-autoloads pkg-info-autoloads
epl-autoloads dash-autoloads flx flx-autoloads gcmh gcmh-autoloads vterm
face-remap term disp-table ehelp vterm-module vterm-autoloads
haskell-mode haskell-cabal haskell-utils haskell-font-lock
haskell-indentation haskell-string haskell-sort-imports haskell-lexeme
haskell-align-imports haskell-complete-module haskell-ghc-support
noutline outline etags fileloop generator dabbrev haskell-customize
haskell-mode-autoloads company-auctex company latex latex-flymake
flymake-proc flymake warnings tex-ispell tex-style tex dbus texmathp
company-math-autoloads math-symbol-lists-autoloads
company-auctex-autoloads auctex-autoloads tex-site company-autoloads
ctrlf hl-line ctrlf-autoloads highlight-indent-guides color
highlight-indent-guides-autoloads yasnippet-snippets yasnippet
yasnippet-snippets-autoloads yasnippet-autoloads dired-async advice
dired-aux dired dired-loaddefs async async-autoloads selectrum-prescient
selectrum minibuf-eldef crm prescient selectrum-prescient-autoloads
selectrum-autoloads prescient-autoloads reverse-im quail
reverse-im-autoloads page-break-lines page-break-lines-autoloads
eldoc-autoloads undo-tree diff undo-tree-autoloads use-package-diminish
sicp racket-mode derived racket-bug-report package url-handlers
racket-collection tq racket-repl-buffer-name racket-stepper
racket-logger racket-profile racket-smart-open racket-xp
racket-xp-complete racket-show pcase pos-tip racket-imenu imenu
racket-edit hideshow racket-repl semantic/symref/grep grep
semantic/symref semantic/util-modes semantic/util semantic pp
semantic/tag semantic/lex semantic/fw mode-local find-func cedet compile
racket-eldoc racket-describe shr text-property-search url-cookie
url-domsuf url-util url-parse auth-source password-cache json map
url-vars puny svg xml dom browse-url racket-visit xref project eieio
eieio-core eieio-loaddefs racket-complete racket-common racket-parens
racket-indent racket-font-lock racket-ppss racket-keywords-and-builtins
thingatpt ido comint ansi-color ring racket-doc racket-cmd racket-util
racket-browse-url racket-custom sh-script smie executable rx
racket-mode-autoloads pos-tip-autoloads faceup-autoloads edmacro kmacro
windmove finder-inf use-package-bind-key bind-key easy-mmode cl-seq
use-package-core early-init use-package-autoloads bind-key-autoloads
straight-autoloads info cl-extra help-mode easymenu seq byte-opt
straight subr-x cl-macs gv cl-loaddefs cl-lib bytecomp byte-compile
cconv tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 998382 583405)
 (symbols 48 52020 35)
 (strings 32 166975 30774)
 (string-bytes 1 4861732)
 (vectors 16 64196)
 (vector-slots 8 1028063 287354)
 (floats 8 796 1311)
 (intervals 56 66038 16961)
 (buffers 1000 41))

--0000000000000df56705b90b7eb9
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Date: Sun, 17 Jan 2021 03:45:31 +0600<br>Message-ID: &lt;<=
a href=3D"mailto:875z3wd090.fsf@HIDDEN">875z3wd090.fsf@HIDDEN</a>&gt;=
<br>--text follows this line--<br><br>Today I was making a program in Pytho=
n for myself. One of the functions<br>required me to pass a long string to =
it, so I did that. Auto-fill-mode<br>got triggered when I pressed the space=
 bar and the string was split from<br>this:<br>```<br>matrix =3D self.getpr=
op(&quot;Coordinate Transformation Matrix&quot;).split(&quot;, &quot;)<br>`=
``<br>To this:<br>```<br>matrix =3D self.getprop(&quot;Coordinate Transform=
ation<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 Matrix&quot;).split(&q=
uot;, &quot;)<br>```<br>After that, I saw `SyntaxError: EOL while scanning =
string literal&#39;.<br>This can be fixed with two different methods:<br>1.=
 Adding a `+&#39; between the strings, so that it looks like<br>```<br>matr=
ix =3D self.getprop(&quot;Coordinate Transformation&quot;<br>=C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0+&quot;Matrix=
&quot;).split(&quot;, &quot;)<br>```<br>2. Dividing the string to 2 separat=
e strings:<br>```<br>matrix =3D self.getprop(&quot;Coordinate Transformatio=
n&quot;<br>=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 &quot;Matrix&quot;).split(&quot;, &quot;)<br><br><br>In GNU E=
macs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.22, cairo versio=
n 1.17.3)<br>=C2=A0of 2020-08-29 built on juergen<br>Windowing system distr=
ibutor &#39;The X.Org Foundation&#39;, version 11.0.12010000<br>System Desc=
ription: Arch Linux<br><br>Recent messages:<br>invalid syntax [2 times]<br>=
Auto-saving...<br>EOL while scanning string literal<br>Auto-saving...<br>EO=
L while scanning string literal<br>Mark set<br>invalid syntax<br>Auto-savin=
g...<br>End of buffer<br>delete-backward-char: Text is read-only [2 times]<=
br><br>Configured using:<br>=C2=A0&#39;configure --prefix=3D/usr --sysconfd=
ir=3D/etc --libexecdir=3D/usr/lib<br>=C2=A0--localstatedir=3D/var --with-x-=
toolkit=3Dgtk3 --with-xft --with-wide-int<br>=C2=A0--with-modules --with-ca=
iro --with-harfbuzz &#39;CFLAGS=3D-march=3Dx86-64<br>=C2=A0-mtune=3Dgeneric=
 -O2 -pipe -fno-plt&#39; CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2<br>=C2=A0LDFLAGS=
=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now&#39;<br><br>Configured=
 features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLI=
B NOTIFY<br>INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZL=
IB<br>TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON=
<br>PDUMPER LCMS2 GMP<br><br>Important settings:<br>=C2=A0 value of $LANG: =
en_US.UTF-8<br>=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode: P=
ython<br><br>Minor modes in effect:<br>=C2=A0 electric-pair-mode: t<br>=C2=
=A0 desktop-save-mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 delete-sele=
ction-mode: t<br>=C2=A0 global-display-line-numbers-mode: t<br>=C2=A0 displ=
ay-line-numbers-mode: t<br>=C2=A0 async-bytecomp-package-mode: t<br>=C2=A0 =
savehist-mode: t<br>=C2=A0 rainbow-delimiters-mode: t<br>=C2=A0 elpy-mode: =
t<br>=C2=A0 pyvenv-mode: t<br>=C2=A0 shell-dirtrack-mode: t<br>=C2=A0 which=
-key-mode: t<br>=C2=A0 marginalia-mode: t<br>=C2=A0 flycheck-mode: t<br>=C2=
=A0 gcmh-mode: t<br>=C2=A0 global-company-mode: t<br>=C2=A0 company-mode: t=
<br>=C2=A0 TeX-PDF-mode: t<br>=C2=A0 ctrlf-mode: t<br>=C2=A0 ctrlf-local-mo=
de: t<br>=C2=A0 highlight-indent-guides-mode: t<br>=C2=A0 yas-global-mode: =
t<br>=C2=A0 yas-minor-mode: t<br>=C2=A0 dired-async-mode: t<br>=C2=A0 selec=
trum-prescient-mode: t<br>=C2=A0 prescient-persist-mode: t<br>=C2=A0 select=
rum-mode: t<br>=C2=A0 reverse-im-mode: t<br>=C2=A0 global-page-break-lines-=
mode: t<br>=C2=A0 global-undo-tree-mode: t<br>=C2=A0 undo-tree-mode: t<br>=
=C2=A0 override-global-mode: t<br>=C2=A0 straight-use-package-mode: t<br>=
=C2=A0 straight-package-neutering-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=
=A0 global-eldoc-mode: t<br>=C2=A0 eldoc-mode: t<br>=C2=A0 electric-indent-=
mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 global-prettify-symbols-mod=
e: t<br>=C2=A0 prettify-symbols-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=
=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 f=
ont-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-=
mode: t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: =
t<br>=C2=A0 auto-fill-function: yas--auto-fill<br>=C2=A0 global-visual-line=
-mode: t<br>=C2=A0 visual-line-mode: t<br>=C2=A0 transient-mark-mode: t<br>=
<br>Load-path shadows:<br>/home/veronika/.emacs.d/straight/build/org/org-fe=
ed hides /usr/share/emacs/27.1/lisp/org/org-feed<br>/home/veronika/.emacs.d=
/straight/build/org/org-compat hides /usr/share/emacs/27.1/lisp/org/org-com=
pat<br>/home/veronika/.emacs.d/straight/build/org/ol-eshell hides /usr/shar=
e/emacs/27.1/lisp/org/ol-eshell<br>/home/veronika/.emacs.d/straight/build/o=
rg/ob-shell hides /usr/share/emacs/27.1/lisp/org/ob-shell<br>/home/veronika=
/.emacs.d/straight/build/org/ox-publish hides /usr/share/emacs/27.1/lisp/or=
g/ox-publish<br>/home/veronika/.emacs.d/straight/build/org/org-lint hides /=
usr/share/emacs/27.1/lisp/org/org-lint<br>/home/veronika/.emacs.d/straight/=
build/org/ol-rmail hides /usr/share/emacs/27.1/lisp/org/ol-rmail<br>/home/v=
eronika/.emacs.d/straight/build/org/org-src hides /usr/share/emacs/27.1/lis=
p/org/org-src<br>/home/veronika/.emacs.d/straight/build/org/org-keys hides =
/usr/share/emacs/27.1/lisp/org/org-keys<br>/home/veronika/.emacs.d/straight=
/build/org/ob-groovy hides /usr/share/emacs/27.1/lisp/org/ob-groovy<br>/hom=
e/veronika/.emacs.d/straight/build/org/org-id hides /usr/share/emacs/27.1/l=
isp/org/org-id<br>/home/veronika/.emacs.d/straight/build/org/ob-dot hides /=
usr/share/emacs/27.1/lisp/org/ob-dot<br>/home/veronika/.emacs.d/straight/bu=
ild/org/ob-emacs-lisp hides /usr/share/emacs/27.1/lisp/org/ob-emacs-lisp<br=
>/home/veronika/.emacs.d/straight/build/org/ob-vala hides /usr/share/emacs/=
27.1/lisp/org/ob-vala<br>/home/veronika/.emacs.d/straight/build/org/ob-abc =
hides /usr/share/emacs/27.1/lisp/org/ob-abc<br>/home/veronika/.emacs.d/stra=
ight/build/org/org-footnote hides /usr/share/emacs/27.1/lisp/org/org-footno=
te<br>/home/veronika/.emacs.d/straight/build/org/ox-md hides /usr/share/ema=
cs/27.1/lisp/org/ox-md<br>/home/veronika/.emacs.d/straight/build/org/ob hid=
es /usr/share/emacs/27.1/lisp/org/ob<br>/home/veronika/.emacs.d/straight/bu=
ild/org/ob-clojure hides /usr/share/emacs/27.1/lisp/org/ob-clojure<br>/home=
/veronika/.emacs.d/straight/build/org/ob-ditaa hides /usr/share/emacs/27.1/=
lisp/org/ob-ditaa<br>/home/veronika/.emacs.d/straight/build/org/ob-ref hide=
s /usr/share/emacs/27.1/lisp/org/ob-ref<br>/home/veronika/.emacs.d/straight=
/build/org/ox-texinfo hides /usr/share/emacs/27.1/lisp/org/ox-texinfo<br>/h=
ome/veronika/.emacs.d/straight/build/org/ob-css hides /usr/share/emacs/27.1=
/lisp/org/ob-css<br>/home/veronika/.emacs.d/straight/build/org/org-ctags hi=
des /usr/share/emacs/27.1/lisp/org/org-ctags<br>/home/veronika/.emacs.d/str=
aight/build/org/org-mouse hides /usr/share/emacs/27.1/lisp/org/org-mouse<br=
>/home/veronika/.emacs.d/straight/build/org/ob-io hides /usr/share/emacs/27=
.1/lisp/org/ob-io<br>/home/veronika/.emacs.d/straight/build/org/ox-org hide=
s /usr/share/emacs/27.1/lisp/org/ox-org<br>/home/veronika/.emacs.d/straight=
/build/org/org-version hides /usr/share/emacs/27.1/lisp/org/org-version<br>=
/home/veronika/.emacs.d/straight/build/org/org-capture hides /usr/share/ema=
cs/27.1/lisp/org/org-capture<br>/home/veronika/.emacs.d/straight/build/org/=
ob-lob hides /usr/share/emacs/27.1/lisp/org/ob-lob<br>/home/veronika/.emacs=
.d/straight/build/org/ob-exp hides /usr/share/emacs/27.1/lisp/org/ob-exp<br=
>/home/veronika/.emacs.d/straight/build/org/ob-js hides /usr/share/emacs/27=
.1/lisp/org/ob-js<br>/home/veronika/.emacs.d/straight/build/org/org-duratio=
n hides /usr/share/emacs/27.1/lisp/org/org-duration<br>/home/veronika/.emac=
s.d/straight/build/org/ob-eval hides /usr/share/emacs/27.1/lisp/org/ob-eval=
<br>/home/veronika/.emacs.d/straight/build/org/org-attach-git hides /usr/sh=
are/emacs/27.1/lisp/org/org-attach-git<br>/home/veronika/.emacs.d/straight/=
build/org/ob-lisp hides /usr/share/emacs/27.1/lisp/org/ob-lisp<br>/home/ver=
onika/.emacs.d/straight/build/org/ob-picolisp hides /usr/share/emacs/27.1/l=
isp/org/ob-picolisp<br>/home/veronika/.emacs.d/straight/build/org/ol hides =
/usr/share/emacs/27.1/lisp/org/ol<br>/home/veronika/.emacs.d/straight/build=
/org/org-indent hides /usr/share/emacs/27.1/lisp/org/org-indent<br>/home/ve=
ronika/.emacs.d/straight/build/org/org-agenda hides /usr/share/emacs/27.1/l=
isp/org/org-agenda<br>/home/veronika/.emacs.d/straight/build/org/ol-docview=
 hides /usr/share/emacs/27.1/lisp/org/ol-docview<br>/home/veronika/.emacs.d=
/straight/build/org/ob-stan hides /usr/share/emacs/27.1/lisp/org/ob-stan<br=
>/home/veronika/.emacs.d/straight/build/org/ox-latex hides /usr/share/emacs=
/27.1/lisp/org/ox-latex<br>/home/veronika/.emacs.d/straight/build/org/ob-R =
hides /usr/share/emacs/27.1/lisp/org/ob-R<br>/home/veronika/.emacs.d/straig=
ht/build/org/ob-java hides /usr/share/emacs/27.1/lisp/org/ob-java<br>/home/=
veronika/.emacs.d/straight/build/org/org-plot hides /usr/share/emacs/27.1/l=
isp/org/org-plot<br>/home/veronika/.emacs.d/straight/build/org/ob-perl hide=
s /usr/share/emacs/27.1/lisp/org/ob-perl<br>/home/veronika/.emacs.d/straigh=
t/build/org/ol-eww hides /usr/share/emacs/27.1/lisp/org/ol-eww<br>/home/ver=
onika/.emacs.d/straight/build/org/ob-ocaml hides /usr/share/emacs/27.1/lisp=
/org/ob-ocaml<br>/home/veronika/.emacs.d/straight/build/org/org-macro hides=
 /usr/share/emacs/27.1/lisp/org/org-macro<br>/home/veronika/.emacs.d/straig=
ht/build/org/org-install hides /usr/share/emacs/27.1/lisp/org/org-install<b=
r>/home/veronika/.emacs.d/straight/build/org/org-habit hides /usr/share/ema=
cs/27.1/lisp/org/org-habit<br>/home/veronika/.emacs.d/straight/build/org/ol=
-info hides /usr/share/emacs/27.1/lisp/org/ol-info<br>/home/veronika/.emacs=
.d/straight/build/org/ob-asymptote hides /usr/share/emacs/27.1/lisp/org/ob-=
asymptote<br>/home/veronika/.emacs.d/straight/build/org/ob-matlab hides /us=
r/share/emacs/27.1/lisp/org/ob-matlab<br>/home/veronika/.emacs.d/straight/b=
uild/org/org-num hides /usr/share/emacs/27.1/lisp/org/org-num<br>/home/vero=
nika/.emacs.d/straight/build/org/org-attach hides /usr/share/emacs/27.1/lis=
p/org/org-attach<br>/home/veronika/.emacs.d/straight/build/org/org-pcomplet=
e hides /usr/share/emacs/27.1/lisp/org/org-pcomplete<br>/home/veronika/.ema=
cs.d/straight/build/org/ob-mscgen hides /usr/share/emacs/27.1/lisp/org/ob-m=
scgen<br>/home/veronika/.emacs.d/straight/build/org/org-colview hides /usr/=
share/emacs/27.1/lisp/org/org-colview<br>/home/veronika/.emacs.d/straight/b=
uild/org/ox-man hides /usr/share/emacs/27.1/lisp/org/ox-man<br>/home/veroni=
ka/.emacs.d/straight/build/org/org-inlinetask hides /usr/share/emacs/27.1/l=
isp/org/org-inlinetask<br>/home/veronika/.emacs.d/straight/build/org/org-te=
mpo hides /usr/share/emacs/27.1/lisp/org/org-tempo<br>/home/veronika/.emacs=
.d/straight/build/org/ob-sqlite hides /usr/share/emacs/27.1/lisp/org/ob-sql=
ite<br>/home/veronika/.emacs.d/straight/build/org/ob-maxima hides /usr/shar=
e/emacs/27.1/lisp/org/ob-maxima<br>/home/veronika/.emacs.d/straight/build/o=
rg/ob-plantuml hides /usr/share/emacs/27.1/lisp/org/ob-plantuml<br>/home/ve=
ronika/.emacs.d/straight/build/org/ob-haskell hides /usr/share/emacs/27.1/l=
isp/org/ob-haskell<br>/home/veronika/.emacs.d/straight/build/org/ol-bbdb hi=
des /usr/share/emacs/27.1/lisp/org/ol-bbdb<br>/home/veronika/.emacs.d/strai=
ght/build/org/ob-awk hides /usr/share/emacs/27.1/lisp/org/ob-awk<br>/home/v=
eronika/.emacs.d/straight/build/org/org-mobile hides /usr/share/emacs/27.1/=
lisp/org/org-mobile<br>/home/veronika/.emacs.d/straight/build/org/org-proto=
col hides /usr/share/emacs/27.1/lisp/org/org-protocol<br>/home/veronika/.em=
acs.d/straight/build/org/ob-table hides /usr/share/emacs/27.1/lisp/org/ob-t=
able<br>/home/veronika/.emacs.d/straight/build/org/org-archive hides /usr/s=
hare/emacs/27.1/lisp/org/org-archive<br>/home/veronika/.emacs.d/straight/bu=
ild/org/org-list hides /usr/share/emacs/27.1/lisp/org/org-list<br>/home/ver=
onika/.emacs.d/straight/build/org/ox hides /usr/share/emacs/27.1/lisp/org/o=
x<br>/home/veronika/.emacs.d/straight/build/org/ox-icalendar hides /usr/sha=
re/emacs/27.1/lisp/org/ox-icalendar<br>/home/veronika/.emacs.d/straight/bui=
ld/org/ob-fortran hides /usr/share/emacs/27.1/lisp/org/ob-fortran<br>/home/=
veronika/.emacs.d/straight/build/org/ob-makefile hides /usr/share/emacs/27.=
1/lisp/org/ob-makefile<br>/home/veronika/.emacs.d/straight/build/org/org-el=
ement hides /usr/share/emacs/27.1/lisp/org/org-element<br>/home/veronika/.e=
macs.d/straight/build/org/org-timer hides /usr/share/emacs/27.1/lisp/org/or=
g-timer<br>/home/veronika/.emacs.d/straight/build/org/ob-core hides /usr/sh=
are/emacs/27.1/lisp/org/ob-core<br>/home/veronika/.emacs.d/straight/build/o=
rg/org-macs hides /usr/share/emacs/27.1/lisp/org/org-macs<br>/home/veronika=
/.emacs.d/straight/build/org/ob-lua hides /usr/share/emacs/27.1/lisp/org/ob=
-lua<br>/home/veronika/.emacs.d/straight/build/org/ob-processing hides /usr=
/share/emacs/27.1/lisp/org/ob-processing<br>/home/veronika/.emacs.d/straigh=
t/build/org/ol-w3m hides /usr/share/emacs/27.1/lisp/org/ol-w3m<br>/home/ver=
onika/.emacs.d/straight/build/org/ob-ebnf hides /usr/share/emacs/27.1/lisp/=
org/ob-ebnf<br>/home/veronika/.emacs.d/straight/build/org/ol-gnus hides /us=
r/share/emacs/27.1/lisp/org/ol-gnus<br>/home/veronika/.emacs.d/straight/bui=
ld/org/ob-latex hides /usr/share/emacs/27.1/lisp/org/ob-latex<br>/home/vero=
nika/.emacs.d/straight/build/org/ol-irc hides /usr/share/emacs/27.1/lisp/or=
g/ol-irc<br>/home/veronika/.emacs.d/straight/build/org/ob-coq hides /usr/sh=
are/emacs/27.1/lisp/org/ob-coq<br>/home/veronika/.emacs.d/straight/build/or=
g/ox-beamer hides /usr/share/emacs/27.1/lisp/org/ox-beamer<br>/home/veronik=
a/.emacs.d/straight/build/org/ox-odt hides /usr/share/emacs/27.1/lisp/org/o=
x-odt<br>/home/veronika/.emacs.d/straight/build/org/ob-octave hides /usr/sh=
are/emacs/27.1/lisp/org/ob-octave<br>/home/veronika/.emacs.d/straight/build=
/org/ob-comint hides /usr/share/emacs/27.1/lisp/org/ob-comint<br>/home/vero=
nika/.emacs.d/straight/build/org/ob-gnuplot hides /usr/share/emacs/27.1/lis=
p/org/ob-gnuplot<br>/home/veronika/.emacs.d/straight/build/org/ob-J hides /=
usr/share/emacs/27.1/lisp/org/ob-J<br>/home/veronika/.emacs.d/straight/buil=
d/org/ox-ascii hides /usr/share/emacs/27.1/lisp/org/ox-ascii<br>/home/veron=
ika/.emacs.d/straight/build/org/ob-screen hides /usr/share/emacs/27.1/lisp/=
org/ob-screen<br>/home/veronika/.emacs.d/straight/build/org/ox-html hides /=
usr/share/emacs/27.1/lisp/org/ox-html<br>/home/veronika/.emacs.d/straight/b=
uild/org/ol-mhe hides /usr/share/emacs/27.1/lisp/org/ol-mhe<br>/home/veroni=
ka/.emacs.d/straight/build/org/ob-eshell hides /usr/share/emacs/27.1/lisp/o=
rg/ob-eshell<br>/home/veronika/.emacs.d/straight/build/org/ob-sql hides /us=
r/share/emacs/27.1/lisp/org/ob-sql<br>/home/veronika/.emacs.d/straight/buil=
d/org/org-clock hides /usr/share/emacs/27.1/lisp/org/org-clock<br>/home/ver=
onika/.emacs.d/straight/build/org/ob-forth hides /usr/share/emacs/27.1/lisp=
/org/ob-forth<br>/home/veronika/.emacs.d/straight/build/org/ob-hledger hide=
s /usr/share/emacs/27.1/lisp/org/ob-hledger<br>/home/veronika/.emacs.d/stra=
ight/build/org/ob-C hides /usr/share/emacs/27.1/lisp/org/ob-C<br>/home/vero=
nika/.emacs.d/straight/build/org/ob-sed hides /usr/share/emacs/27.1/lisp/or=
g/ob-sed<br>/home/veronika/.emacs.d/straight/build/org/ob-scheme hides /usr=
/share/emacs/27.1/lisp/org/ob-scheme<br>/home/veronika/.emacs.d/straight/bu=
ild/org/org hides /usr/share/emacs/27.1/lisp/org/org<br>/home/veronika/.ema=
cs.d/straight/build/org/ol-bibtex hides /usr/share/emacs/27.1/lisp/org/ol-b=
ibtex<br>/home/veronika/.emacs.d/straight/build/org/ob-shen hides /usr/shar=
e/emacs/27.1/lisp/org/ob-shen<br>/home/veronika/.emacs.d/straight/build/org=
/ob-calc hides /usr/share/emacs/27.1/lisp/org/ob-calc<br>/home/veronika/.em=
acs.d/straight/build/org/org-faces hides /usr/share/emacs/27.1/lisp/org/org=
-faces<br>/home/veronika/.emacs.d/straight/build/org/org-datetree hides /us=
r/share/emacs/27.1/lisp/org/org-datetree<br>/home/veronika/.emacs.d/straigh=
t/build/org/ob-ruby hides /usr/share/emacs/27.1/lisp/org/ob-ruby<br>/home/v=
eronika/.emacs.d/straight/build/org/org-loaddefs hides /usr/share/emacs/27.=
1/lisp/org/org-loaddefs<br>/home/veronika/.emacs.d/straight/build/org/org-c=
rypt hides /usr/share/emacs/27.1/lisp/org/org-crypt<br>/home/veronika/.emac=
s.d/straight/build/org/org-table hides /usr/share/emacs/27.1/lisp/org/org-t=
able<br>/home/veronika/.emacs.d/straight/build/org/org-goto hides /usr/shar=
e/emacs/27.1/lisp/org/org-goto<br>/home/veronika/.emacs.d/straight/build/or=
g/ob-lilypond hides /usr/share/emacs/27.1/lisp/org/ob-lilypond<br>/home/ver=
onika/.emacs.d/straight/build/org/ob-tangle hides /usr/share/emacs/27.1/lis=
p/org/ob-tangle<br>/home/veronika/.emacs.d/straight/build/org/ob-sass hides=
 /usr/share/emacs/27.1/lisp/org/ob-sass<br>/home/veronika/.emacs.d/straight=
/build/org/ob-python hides /usr/share/emacs/27.1/lisp/org/ob-python<br>/hom=
e/veronika/.emacs.d/straight/build/org/ob-org hides /usr/share/emacs/27.1/l=
isp/org/ob-org<br>/home/veronika/.emacs.d/straight/build/org/ob-ledger hide=
s /usr/share/emacs/27.1/lisp/org/ob-ledger<br>/home/veronika/.emacs.d/strai=
ght/build/org/org-entities hides /usr/share/emacs/27.1/lisp/org/org-entitie=
s<br>/home/veronika/.emacs.d/straight/build/eldoc/eldoc hides /usr/share/em=
acs/27.1/lisp/emacs-lisp/eldoc<br>/home/veronika/.emacs.d/straight/build/fa=
ceup/faceup hides /usr/share/emacs/27.1/lisp/emacs-lisp/faceup<br>/home/ver=
onika/.emacs.d/straight/build/let-alist/let-alist hides /usr/share/emacs/27=
.1/lisp/emacs-lisp/let-alist<br><br>Features:<br>(shadow sort mail-extr ema=
csbug message rmc rfc822 mml mml-sec epa epg<br>epg-config gnus-util rmail =
rmail-loaddefs mm-decode mm-bodies mm-encode<br>mail-parse rfc2231 mailabbr=
ev gmm-utils mailheader sendmail rfc2047<br>rfc2045 ietf-drums mm-util mail=
-prsvr mail-utils cl-print debug<br>backtrace cua-base viper viper-cmd vipe=
r-keym viper-ex viper-macs<br>viper-mous viper-init viper-util eieio-opt sp=
eedbar sb-image ezimage<br>dframe tabify two-column iso-transl char-fold mu=
le-util autorevert<br>filenotify vc-git elec-pair desktop frameset paren de=
lsel<br>display-line-numbers async-bytecomp savehist projectile ibuf-ext ib=
uffer<br>ibuffer-loaddefs projectile-autoloads avy avy-autoloads<br>rainbow=
-delimiters rainbow-delimiters-autoloads slime arc-mode<br>archive-mode hyp=
erspec slime-autoloads macrostep-autoloads<br>company-oddmuse company-keywo=
rds company-etags company-gtags<br>company-dabbrev-code company-dabbrev com=
pany-files company-clang<br>company-cmake company-semantic company-template=
 company-bbdb<br>highlight-indentation company-capf help-fns radix-tree elp=
y elpy-rpc<br>pyvenv eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg=
 esh-module<br>esh-groups esh-util elpy-shell elpy-profile elpy-django s el=
py-refactor<br>diff-mode python tramp-sh tramp tramp-loaddefs trampver<br>t=
ramp-integration tramp-compat shell pcomplete parse-time iso8601<br>time-da=
te ls-lisp format-spec files-x cus-edit cus-start cus-load<br>elpy-autoload=
s s-autoloads pyvenv-autoloads<br>highlight-indentation-autoloads which-key=
 which-key-autoloads marginalia<br>marginalia-autoloads base16-google-light=
-theme base16-theme<br>base16-theme-autoloads consult-selectrum consult rec=
entf tree-widget<br>wid-edit bookmark consult-selectrum-autoloads flycheck =
dash jka-compr<br>let-alist flycheck-autoloads let-alist-autoloads pkg-info=
-autoloads<br>epl-autoloads dash-autoloads flx flx-autoloads gcmh gcmh-auto=
loads vterm<br>face-remap term disp-table ehelp vterm-module vterm-autoload=
s<br>haskell-mode haskell-cabal haskell-utils haskell-font-lock<br>haskell-=
indentation haskell-string haskell-sort-imports haskell-lexeme<br>haskell-a=
lign-imports haskell-complete-module haskell-ghc-support<br>noutline outlin=
e etags fileloop generator dabbrev haskell-customize<br>haskell-mode-autolo=
ads company-auctex company latex latex-flymake<br>flymake-proc flymake warn=
ings tex-ispell tex-style tex dbus texmathp<br>company-math-autoloads math-=
symbol-lists-autoloads<br>company-auctex-autoloads auctex-autoloads tex-sit=
e company-autoloads<br>ctrlf hl-line ctrlf-autoloads highlight-indent-guide=
s color<br>highlight-indent-guides-autoloads yasnippet-snippets yasnippet<b=
r>yasnippet-snippets-autoloads yasnippet-autoloads dired-async advice<br>di=
red-aux dired dired-loaddefs async async-autoloads selectrum-prescient<br>s=
electrum minibuf-eldef crm prescient selectrum-prescient-autoloads<br>selec=
trum-autoloads prescient-autoloads reverse-im quail<br>reverse-im-autoloads=
 page-break-lines page-break-lines-autoloads<br>eldoc-autoloads undo-tree d=
iff undo-tree-autoloads use-package-diminish<br>sicp racket-mode derived ra=
cket-bug-report package url-handlers<br>racket-collection tq racket-repl-bu=
ffer-name racket-stepper<br>racket-logger racket-profile racket-smart-open =
racket-xp<br>racket-xp-complete racket-show pcase pos-tip racket-imenu imen=
u<br>racket-edit hideshow racket-repl semantic/symref/grep grep<br>semantic=
/symref semantic/util-modes semantic/util semantic pp<br>semantic/tag seman=
tic/lex semantic/fw mode-local find-func cedet compile<br>racket-eldoc rack=
et-describe shr text-property-search url-cookie<br>url-domsuf url-util url-=
parse auth-source password-cache json map<br>url-vars puny svg xml dom brow=
se-url racket-visit xref project eieio<br>eieio-core eieio-loaddefs racket-=
complete racket-common racket-parens<br>racket-indent racket-font-lock rack=
et-ppss racket-keywords-and-builtins<br>thingatpt ido comint ansi-color rin=
g racket-doc racket-cmd racket-util<br>racket-browse-url racket-custom sh-s=
cript smie executable rx<br>racket-mode-autoloads pos-tip-autoloads faceup-=
autoloads edmacro kmacro<br>windmove finder-inf use-package-bind-key bind-k=
ey easy-mmode cl-seq<br>use-package-core early-init use-package-autoloads b=
ind-key-autoloads<br>straight-autoloads info cl-extra help-mode easymenu se=
q byte-opt<br>straight subr-x cl-macs gv cl-loaddefs cl-lib bytecomp byte-c=
ompile<br>cconv tooltip eldoc electric uniquify ediff-hook vc-hooks<br>lisp=
-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar<br>dnd f=
ontset image regexp-opt fringe tabulated-list replace newcomment<br>text-mo=
de elisp-mode lisp-mode prog-mode register page tab-bar menu-bar<br>rfn-esh=
adow isearch timer select scroll-bar mouse jit-lock font-lock<br>syntax fac=
emenu font-core term/tty-colors frame minibuffer cl-generic<br>cham georgia=
n utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao<br>korean japan=
ese eucjp-ms cp51932 hebrew greek romanian slovak czech<br>european ethiopi=
c indian cyrillic chinese composite charscript charprop<br>case-table epa-h=
ook jka-cmpr-hook help simple abbrev obarray<br>cl-preloaded nadvice loadde=
fs button faces cus-face macroexp files<br>text-properties overlay sha1 md5=
 base64 format env code-pages mule<br>custom widget hashtable-print-readabl=
e backquote threads dbusbind<br>inotify lcms2 dynamic-setting system-font-s=
etting font-render-setting<br>cairo move-toolbar gtk x-toolkit x multi-tty =
make-network-process emacs)<br><br>Memory information:<br>((conses 16 99838=
2 583405)<br>=C2=A0(symbols 48 52020 35)<br>=C2=A0(strings 32 166975 30774)=
<br>=C2=A0(string-bytes 1 4861732)<br>=C2=A0(vectors 16 64196)<br>=C2=A0(ve=
ctor-slots 8 1028063 287354)<br>=C2=A0(floats 8 796 1311)<br>=C2=A0(interva=
ls 56 66038 16961)<br>=C2=A0(buffers 1000 41))<br></div>

--0000000000000df56705b90b7eb9--




Acknowledgement sent to Акимжанчег <zelenaruta@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#45922; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 7 May 2022 17:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.